(*
  TPLib: Tropical Polyhedra Library

  TPLib allows to compute a description by means of vertices and rays 
  of tropical polyhedra defined by means of inequalities, and conversely.

  It also provides a numerical abstract domain based on tropical polyhedra, 
  in order to infer min-/max- invariants over programs.

  Copyright (C) 2009-2012 Xavier ALLAMIGEON (xavier.allamigeon at inria.fr)
  
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.
  
  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.
  
  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA

*)

type t 
val create : int -> t
val add_hedge : t -> ?label:string -> int * int list * int list -> t
val copy : t -> t
val print : Format.formatter -> t -> unit
val visit : t -> int -> int list
val visit_list : t -> int list -> int -> int list
val has_greatest_scc : t -> bool
